Skip to content

TransactionsService⁠

Perform transactions.

Operations⁠

deposit⁠

POST

Perform a deposit transaction.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringrequiredIdentifies the account affected by the transaction.
ShareIdstringrequiredThe share ID.
CommentstringoptionalThe text of a comment transaction.
EffectiveDatestring · dateoptionalThe effective date of the transaction.
CommentCodeintegeroptionalWhether the transaction includes a comment.
TaxDeferredContributionCodestringoptionalThe tax deferred contribution code.
SourceCodestringoptionalThe source of the transaction.
RecurrenceRequestedbooleanoptionalWhether recurrence was requested.
GLCommentstringoptionalThe text of a GL transaction.
Path Parameters
symstringrequired
Sym number
StatusMessagestringoptionalTransaction status.
CheckNumberstringoptionalThe check number.
CheckAccountCodeintegeroptionalThe check account code.
TransactionFeesobject[]optionalList of transaction fees.
POST/nexum/{sym}/2022.01/transactions/deposit
POST /nexum/627/2022.01/transactions/deposit HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "ShareId": "0",
  "DepositAmounts": {
    "TotalAmount": "string"
  },
  "Comment": "string",
  "SourceCode": "string",
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

withdraw⁠

POST

Perform a withdrawal transaction.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringrequiredIdentifies the account affected by the transaction.
ShareIdstringrequiredThe share ID.
AuthorizationTypestringoptionalThe transaction authorization type.
SourceCodestringoptionalThe source of the transaction.
CheckNumberstringoptionalThe check number.
CheckIssuerstringoptionalThe check issuer type.
CheckAccountCodeintegeroptionalThe check account code.
CheckReferencestringoptionalThe check reference for the transaction.
CommentCodeintegeroptionalWhether the transaction includes a comment.
CommentstringoptionalThe text of a comment transaction.
EffectiveDatestring · dateoptionalThe effective date of the transaction.
RegulationDLimitedbooleanoptionalWhether transaction is limited to Reg D.
ForcePostRequestedbooleanoptionalWhether the transaction should be force posted.
RecurrenceRequestedbooleanoptionalWhether recurrence was requested.
TracerNumberstringoptionalThe tracer number.
DraftNumberstringoptionalThe draft number.
CalculateCheckbooleanoptionalWhether to calculate a check.
GLCommentstringoptionalThe text of a GL transaction.
Path Parameters
symstringrequired
Sym number
StatusMessagestringoptionalTransaction status.
CheckNumberstringoptionalThe check number.
CheckAccountCodeintegeroptionalThe check account code.
TransactionFeesobject[]optionalList of transaction fees.
POST/nexum/{sym}/2022.01/transactions/withdraw
POST /nexum/627/2022.01/transactions/withdraw HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "ShareId": "0",
  "WithdrawalAmounts": {
    "TotalAmount": "string"
  },
  "Comment": "string",
  "SourceCode": "string",
  "ForcePostRequested": true,
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

newLoan⁠

POST

Creates a new loan transaction.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptionalIdentifies the account affected by the transaction.
LoanIdstringoptionalThe loan ID.
CheckNumberstringoptionalThe check number.
CheckIssuerstringoptionalThe check issuer type.
CommentstringoptionalThe text of a comment transaction.
CheckAccountCodeintegeroptionalThe check account code.
AuthorizationTypestringoptionalThe transaction authorization type.
SourceCodestringoptionalThe source of the transaction.
EffectiveDatestring · dateoptionalThe effective date of the transaction.
CommentCodeintegeroptionalWhether the transaction includes a comment.
CheckReferencestringoptionalThe check reference for the transaction.
RecurrenceRequestedbooleanoptionalWhether recurrence was requested.
ForcePostRequestedbooleanoptionalWhether the transaction should be force posted.
TracerNumberstringoptionalThe tracer number.
DraftNumberstringoptionalThe draft number.
CalculateCheckbooleanoptionalWhether to calculate a check.
GLCommentstringoptionalThe text of a GL transaction.
Path Parameters
symstringrequired
Sym number
StatusMessagestringoptionalTransaction status.
CheckNumberstringoptionalThe check number.
CheckAccountCodeintegeroptionalThe check account code.
TransactionFeesobject[]optionalList of transaction fees.
POST/nexum/{sym}/2022.01/transactions/newLoan
POST /nexum/627/2022.01/transactions/newLoan HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "string",
  "LoanId": "string",
  "LoanAmounts": {
    "TotalAmount": 0,
    "CheckAmount": 0,
    "CashAmount": 0
  },
  "CheckNumber": "string",
  "CheckIssuer": "string",
  "Comment": "string",
  "CheckAccountCode": 0,
  "GLAccounts": {
    "ClearingAccount": "string",
    "CheckDisbursedAccount": "string",
    "ExternalAccount": "string"
  },
  "GLCodes": {
    "ClearingCode": 0,
    "CheckDisbursedCode": 0,
    "ExternalCode": 0
  },
  "Payee": {
    "PayeeLine": [
      {
        "LineValue": "string"
      }
    ]
  },
  "AuthorizationType": "string",
  "SourceCode": "string",
  "EffectiveDate": "string",
  "CommentCode": 0,
  "CheckReference": "string",
  "RecurrenceRequested": true,
  "ForcePostRequested": true,
  "TracerNumber": "string",
  "DraftNumber": "string"
}

payBill⁠

POST

Perform a bill payment transaction.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptionalIdentifies the account affected by the transaction.
IdstringoptionalThe ID of the Share record (if the ID Type field is set to 0) or the Loan record (if the ID Type field is set to 1) affected by the transaction.
IdTypestringoptionalWhether the transaction affected a Share or Loan record.
PaymentAmountnumber · floatoptionalThe payment amount.
CheckIssuerstringoptionalThe check issuer type.
CommentstringoptionalThe text of a comment transaction.
AuthorizationTypestringoptionalThe transaction authorization type.
ForcePostRequestedbooleanoptionalWhether the transaction should be force posted.
SourceCodestringoptionalThe source of the transaction.
EffectiveDatestring · dateoptionalThe effective date of the transaction.
CommentCodeintegeroptionalWhether the transaction includes a comment.
RegulationDLimitedbooleanoptionalWhether transaction is limited to Reg D.
RecurrenceRequestedbooleanoptionalWhether recurrence was requested.
GLCommentstringoptionalThe text of a GL transaction.
Path Parameters
symstringrequired
Sym number
StatusMessagestringoptionalTransaction status.
CheckNumberstringoptionalThe check number.
CheckAccountCodeintegeroptionalThe check account code.
TransactionFeesobject[]optionalList of transaction fees.
POST/nexum/{sym}/2022.01/transactions/payBill
POST /nexum/627/2022.01/transactions/payBill HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "string",
  "Id": "string",
  "IdType": "string",
  "PaymentAmount": 0,
  "CheckIssuer": "string",
  "Comment": "string",
  "GLAccounts": {
    "ClearingAccount": "string",
    "CheckDisbursedAccount": "string",
    "ExternalAccount": "string"
  },
  "GLCodes": {
    "ClearingCode": 0,
    "CheckDisbursedCode": 0,
    "ExternalCode": 0
  },
  "AuthorizationType": "string",
  "ForcePostRequested": true,
  "SourceCode": "string",
  "EffectiveDate": "string",
  "CommentCode": 0,
  "RegulationDLimited": true,
  "RecurrenceRequested": true,
  "GLComment": "string",
  "nxAttributes": {
    "customFields": {}
  }
}

withdrawFee⁠

POST

Perform a withdrawal fee transaction.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringrequiredIdentifies the account affected by the transaction.
DonorIdstringoptionalThe donor ID.
DonorTypestringoptionalThe donor type.
TotalAmountnumber · floatoptionalThe total amount.
AuthorizationTypestringoptionalThe transaction authorization type.
FeeCodeintegeroptionalThe fee code for a transaction.
CommentstringoptionalThe text of a comment transaction.
CommentCodeintegeroptionalWhether the transaction includes a comment.
EffectiveDatestring · dateoptionalThe effective date of the transaction.
SourceCodestringoptionalThe source of the transaction.
ForcePostRequestedbooleanoptionalWhether the transaction should be force posted.
RecurrenceRequestedbooleanoptionalWhether recurrence was requested.
GLCommentstringoptionalThe text of a GL transaction.
Path Parameters
symstringrequired
Sym number
StatusMessagestringoptionalTransaction status.
CheckNumberstringoptionalThe check number.
CheckAccountCodeintegeroptionalThe check account code.
POST/nexum/{sym}/2022.01/transactions/withdrawFee
POST /nexum/627/2022.01/transactions/withdrawFee HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "DonorId": "0",
  "DonorType": "string",
  "TotalAmount": "string",
  "FeeCode": 0,
  "Comment": "string",
  "SourceCode": "string",
  "ForcePostRequested": true,
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

transfer⁠

POST

Perform a funds transfer transaction.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

DonorAccountNumberstringrequiredThe donor account number.
DonorIdstringrequiredThe donor ID.
DonorTypestringrequiredThe donor type.
RecipientAccountNumberstringrequiredThe recipient account number.
RecipientIdstringrequiredThe recipient ID.
RecipientTypestringrequiredThe recipient type.
TransferAmountnumber · floatoptionalThe transfer amount.
CommentstringoptionalThe text of a comment transaction.
AuthorizationTypestringoptionalThe transaction authorization type.
ForcePostRequestedbooleanoptionalWhether the transaction should be force posted.
PrincipalAmountnumber · floatoptionalThe principal amount.
SourceCodestringoptionalThe source of the transaction.
EffectiveDatestring · dateoptionalThe effective date of the transaction.
CommentCodeintegeroptionalWhether the transaction includes a comment.
LoanPaymentTypestringoptionalThe loan payment type.
RegulationDLimitedbooleanoptionalWhether transaction is limited to Reg D.
RecurrenceRequestedbooleanoptionalWhether recurrence was requested.
GLCommentstringoptionalThe text of a GL transaction.
Path Parameters
symstringrequired
Sym number
StatusMessagestringoptionalTransaction status.
CheckNumberstringoptionalThe check number.
CheckAccountCodeintegeroptionalThe check account code.
TransactionFeesobject[]optionalList of transaction fees.
POST/nexum/{sym}/2022.01/transactions/transfer
POST /nexum/627/2022.01/transactions/transfer HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DonorAccountNumber": "0000000000",
  "DonorId": "0",
  "DonorType": "string",
  "RecipientAccountNumber": "0000000000",
  "RecipientId": "0",
  "RecipientType": "string",
  "TransferAmount": "string",
  "Comment": "string",
  "SourceCode": "string",
  "ForcePostRequested": true,
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}